Package org.eclipse.emf.cdo.common.model

# Class CDOType.Handler.Registry

java.lang.Object
org.eclipse.emf.cdo.common.model.CDOType.Handler.Registry

Enclosing class:
  CDOType.Handler

public static final class CDOType.Handler.Registry extends Object
A global registry for `type handlers`.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOType.Handler.Registry`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addHandler(CDOType.Handler handler)`
`CDOType.Handler`
`getHandlerByType(String type)`
`CDOType.Handler`
`getHandlerByValue(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final CDOType.Handler.Registry INSTANCE

## Method Details

### addHandler

public void addHandler(CDOType.Handler handler)

### getHandlerByType

public CDOType.Handler getHandlerByType(String type)

### getHandlerByValue

public CDOType.Handler getHandlerByValue(Object value)